corda / net.corda.core.crypto / Crypto / decodePublicKey

# decodePublicKey

`fun decodePublicKey(encodedKey: ByteArray): PublicKey`

Decode an X509 encoded key to its PublicKey object.

### Parameters

`encodedKey` - an X509 encoded public key.

### Exceptions

`UnsupportedSchemeException` - on not supported scheme.

`IllegalArgumentException` - on not supported scheme or if the given key specification is inappropriate for this key factory to produce a private key.

`fun decodePublicKey(encodedKey: ByteArray, schemeCodeName: String): PublicKey`

Decode an X509 encoded key to its PrivateKey object based on the input scheme code name. This will be used by Kryo deserialisation.

### Parameters

`encodedKey` - an X509 encoded public key.

`schemeCodeName` - a String that should match a key in supportedSignatureSchemes map (e.g. ECDSA_SECP256K1_SHA256).

### Exceptions

`IllegalArgumentException` - if the requested scheme is not supported

`InvalidKeySpecException` - if the given key specification is inappropriate for this key factory to produce a public key.